/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

var SETTINGS = {
    apis: {
        // Dynamic text content updater
        dynamicappcontent: "https://apis.helena.express/v1/dynamicappcontent/",
        // Tracking
        track: "https://apis.helena.express/v1/track/",
        trackmultiple: "https://apis.helena.express/v1/trackmultiple/",
        // Shipping rates
        rates: "https://apis.helena.express/v1/rates/",
        // ZIP Code lookup
        zipcodelookup: "https://apis.helena.express/v1/zipcodelookup/",
        // Get appointment iframe URL
        appointmentredirect: "https://apis.helena.express/v1/appointmentredirect/",
        // Request home pickup
        requestpickup: "https://apis.helena.express/v1/requestpickup/",
        // Drop and Send
        dropandsendlocations: "https://apis.helena.express/v1/dropandsend/locations/",
        dropandsendpickup: "https://apis.helena.express/v1/dropandsend/requestpickup/",
        // Fetch account data
        getaccountinfo: "https://apis.helena.express/v1/account/getinfo/",
        // Fetch tracking numbers associated with account
        gettrackingnumbers: "https://apis.helena.express/v1/account/gettrackingnumbers/",
        // Account login/registration/onboarding endpoints
        authorstartverify: "https://apis.helena.express/v1/account/authorstartverify/",
        verifyauthcode: "https://apis.helena.express/v1/account/verifyauthcode/",
        accountregister: "https://apis.helena.express/v1/account/register/",
        // Setup saved payment method
        redirecttopaymentsetup: "https://apis.helena.express/v1/account/redirecttopaymentsetup/",
        finishpaymentsetup: "https://apis.helena.express/v1/account/finishpaymentsetup/",
        // Send a telegram message
        sendtelegram: "https://apis.helena.express/v1/telegram/",
        // Fetch shop items
        shopitems: "https://apis.helena.express/v1/shop/items/",
        // Create a shop order
        shopbuy: "https://apis.helena.express/v1/shop/buy/",
        // Get receipts linked with account
        getreceipts: "https://apis.helena.express/v1/account/getreceipts/",
        getreceipt: "https://apis.helena.express/v1/account/getreceipt/",
        // Crypto: check balance and send transactions
        walletbalance: "https://apis.helena.express/v1/crypto/walletbalance/",
        getutxo: "https://apis.helena.express/v1/crypto/getutxo/",
        broadcasttransaction: "https://apis.helena.express/v1/crypto/broadcasttransaction/",
        cryptofees: "https://apis.helena.express/v1/crypto/fees/",
        // Service area map
        servicearea: "https://apis.helena.express/v1/servicearea/",
        // Trailer schedule/dates/times/locations
        trailerschedule: "https://helena.express/mobile/schedule.json",
        // Money order verification
        moneyorderverify: "https://apis.helena.express/v1/moneyorder/verify/",
        // Label maker
        label_rates: "https://apis.helena.express/v1/labelmaker/rates/",
        label_purchase: "https://apis.helena.express/v1/labelmaker/purchase/",
        postalpoint_locations: "https://apis.helena.express/v1/postalpoint/locations/"
    },
    stripe_pubkey: "pk_test_51J6qFXCa1Fboir5UzPO3LCiMsVNiFP2lq4wR0dEcjJJVzAaJ3uRggDekZPB3qeYpMD3ayIYHKyD5sSn0IFLlEXMW001LqrvGSH",
    branding: {
        apptitle: "Helena Express",
        company: "Helena Express",
        website: "https://helena.express"
    },
    maptileurls: {
        liberty: {
            url: "https://maps.netsyms.net/styles/osm-liberty/{z}/{x}/{y}.png",
            json: "https://maps.netsyms.net/styles/osm-liberty/style.json",
            name: "Liberty",
            bgcolor: "#EFEFEF"
        },
        libertydark: {
            url: "https://maps.netsyms.net/styles/osm-liberty-dark/{z}/{x}/{y}.png",
            json: "https://maps.netsyms.net/styles/osm-liberty-dark/style.json",
            name: "Dark",
            bgcolor: "#1A1A1A"
        }
    }
}
